{% set displayComments = 0 %}
{% set isCollapsed = 1 %}
{% if proposal.detailed %}
    {% set isCollapsed = 0 %}
{% endif %}
<div class="col-sm-12 defTitle">
    <a class="anchor" id="proposal{{ proposal.number }}"></a>
    <h4 class="blueColor">{{ proposal.number }}. {{ proposal|raw }}
        {% if votation|default(null) and "now"|date('Y-m-d') > votation.endDate|date('Y-m-d') %}
            <span class="badge pinkBackColor">{{ proposal.weight }} votes</span>
        {% endif %}
    </h4>
    {% if isCollapsed %}
        <p class="question" data-toggle="collapse" href="#{{ proposal.id ~'collapseDescription'}}" style="text-align: left; z-index: 1000">Proposition détaillée <i class="fa fa-caret-right" aria-hidden="true"></i></p>
    {% endif %}
    <div class="{% if isCollapsed %}collapse{% endif %}" id="{{ proposal.id ~'collapseDescription'}}">{{ proposal.description|raw }}
    </div>
    {% if not isCollapsed %}
    <br>
    {% endif %}
</div>

{% if displayComments %}
<div class="col-sm-12" style="text-align: left; z-index: 999">
    <p><small>{{ proposal.createdAt|date('d/m/Y') }} - {{ proposal.status }}</small>
        {% if proposal.NComments > 0 %}
        <span class="badge question" data-toggle="collapse" href="#{{ proposal.id ~'collapseComments'}}">Voir les {{ proposal.NComments }} commentaires</span>
    {% else %}
        <span class="badge">Aucun commentaire</span><span class="pull-right">
            {% endif %}
            {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                <a href="#" actionUrl="{{ path('proposal_comment', {'id' : proposal.id}) }}"
                   class="modal-form pull-right white btn-xs"><i class="fa fa-edit"></i> Commenter</a>
                    {% else %}
                <a class="white btn-xs" href="{{ path('public_contact') }}">S'inscrire</a>
                        ou <a class="white btn-xs" href="{{ path('dashboard') }}" title="Espace du collectif"> Se connecter</a>
            {% endif %}
    </span>
        {% if proposal.referedGroups|length > 0 %}

            {% for group in proposal.referedGroups %}
                <a href="{{ path('group_view', {id : group.id}) }}">
                    <span class="label label-{{ group.color ? : yellow }}">{{ group }}</span>
                </a>
            {% endfor %}

        {% endif %}
    </p>
    <div class="collapse" id="{{ proposal.id ~'collapseComments'}}" style="width: 80%">
        {% for comment in proposal.comments %}
            {% include 'AppBundle:Content/Comment:view.html.twig' %}
        {% endfor %}
    </div>
</div>
{% endif %}